import { getBaiduStats, getUV } from "../data/interface/baiduStats";
import { getZyhdbzData } from "../data/interface/data";
import { statsQueue } from "../data/interface/queueData";
import { getKeyValueListData, getReflectionData } from "./out";


export async function getData(req, res) {
    let ret:any = {};

    let {zcyh, yjbzya, bzry, hdcyd, yhtsl, zyhdbzzjdt, yhtslzs, rlzb, rlzbsylqs} = await getZyhdbzData();

    ret["zcyh"] = getKeyValueListData("注册用户", zcyh);
    ret["yjbzya"] = getKeyValueListData("应急保障预案", yjbzya);
    ret["bzry"] = getReflectionData("保障人员",bzry, {name:"key", info:"value"});
    ret["hdcyd"] = getReflectionData("活动参与度", hdcyd, {district:"key", hdcyd:"value"});
    ret["yhtsl"] = getKeyValueListData("用户投诉量", yhtsl); 
    ret["zyhdbzzjdt"] = getReflectionData("中间地图数据", zyhdbzzjdt, {num:"value", district:"key"});  

    let {monthStatsData, dayStatsData} = statsQueue["日活月活"];//百度云数据
    ret["dau"] = getReflectionData("日活", dayStatsData, {}); 
    ret["mau"] = getReflectionData("月活", monthStatsData, {});

    ret["yhtslzs"] = {title:"用户投诉总数", data:parseInt(yhtslzs["用户投诉总数"] || 0)};

    let uv = statsQueue["uv"];//百度云数据
    ret["hdzfwrs"] = {title:"活动总访问人数", data:uv || 0};

    //应用系统监控
    ret["yyxtjk"] = {
        title:"页面系统监控",
        data:statsQueue["应用系统监控"]
    };
    ret["ymcglqs"] = {
        title:"页面成功率趋势",
        data:statsQueue["应用系统监控趋势"]
    }

    ret["rlzb"] = getKeyValueListData("容量指标", rlzb);

    ret["sylqs"] = {title:"使用率趋势", data:[
        {title:"cpu", list:rlzbsylqs['cpu']},
        {title:"内存", list:rlzbsylqs['nc']},
        {title:"存储", list:rlzbsylqs['cc']}
    ]};

    //重要活动
    res.send(ret);
}



export async function getPopData(req, res) {
    //访问人数和访问趋势获取阿里云 玑脉大平台 数据
    // let activeList:any = await getActiveListData();

    // let resultList = [];
    // activeList.forEach(item => {
    //     let state = "活动预告";
    //     if (item.hdztxh == '1') state = "活动进行中";
    //     else if (item.hdztxh == '2') state = "活动结束";
    //     let registered = 0;
    //     if (!isNaN(item.zcrs) ) registered = parseInt(item.zcrs);
    //     let complaints = 0;
    //     if (!isNaN(item.yhtsl) ) complaints = parseInt(item.yhtsl);
    //     resultList.push({
    //         title:item.hdmc,
    //         state,//状态
    //         time:item.hdsj,//活动时间
    //         registered,//注册人数
    //         complaints,//用户投诉量
    //     });
    // });
    // // let dataList = [];




    let onceData = {
        title:"聚合磁力2022跨界电商测试测试测试测试", 
        state:"活动预告", 
        registered:12600,//注册人数
        time:"2022/01/22~01/23",//活动时间
        access:99900,//访问人数
        complaints:1000,//投诉量
        trend:[
            {key:"12:30", value:200},
            {key:"13:00", value:100},
            {key:"13:30", value:200},
            {key:"14:00", value:100},
            {key:"14:30", value:200},
            {key:"15:00", value:100},
            {key:"15:30", value:200},
        ]
    };
    let onceData2 = {
        title:"青少年人工智能奥林匹克挑战赛", 
        state:"活动进行中", 
        registered:38699,//注册人数
        time:"2022/01/22~01/23",//活动时间
        access:42563,//访问人数
        complaints:42563,//投诉量
        trend:[
            {key:"12:30", value:200},
            {key:"13:00", value:50},
            {key:"13:30", value:200},
            {key:"14:00", value:50},
            {key:"14:30", value:200},
            {key:"15:00", value:50},
            {key:"15:30", value:200},
        ]
    };

    let dataList = [onceData, onceData2];

    res.send({dataList});
}


