import { activityStats } from "./baiduStats";
import { getActivityListData } from "./data";
import moment = require("moment");


let lastActiveMap = {};
//第一次检测到有数据的时间 如果想要设定时间，把时间填这里
let haveDataTime = 0;
// let startScopeM = 0;
// let startScopeS = 0;
// let endScopeM = 0;
// let endScopeS = 0;


async function cacheActivityData() {
    let activityList = await getActivityListData();
    let haveUpdate = false;
    for (let i = 0; i < activityList.length; i++) {
        let {hdkssj, hdjssj, hdmc } = activityList[i];
        if (!hdkssj || !hdjssj || !hdmc) continue;

        let {startTime, endTime} = getDateFormat(hdkssj, hdjssj);

        let oldItem = lastActiveMap[hdmc];

        let thisItemIsNew = false;
        if ( !oldItem ) thisItemIsNew = true;   
        else if (oldItem.startTime != startTime || oldItem.endTime != endTime ) thisItemIsNew = true;
        
        if ( thisItemIsNew ) {
            let count = await activityStats(startTime, endTime);
            lastActiveMap[hdmc] = {startTime, endTime, count};
        }
    }
    return haveUpdate;
}

function getDateFormat(startTime:number, endTime:number) {
    return {
        startTime:moment(startTime).format('YYYYMMDD'), 
        endTime: moment(endTime).format('YYYYMMDD'),  
    };
}

let startScopeTime = 0;
let endScopeTime= 0;
//这里放活动缓存机制
export function initActiveQueue() {
    cacheActivityData();
    setInterval( async () => {
        let thisTime = new Date().valueOf();
        
        //历史数据
        if ( !haveDataTime ) {//当不设置活动更像时间的时候
            let haveUpdate = cacheActivityData();
            if (haveUpdate) {//如果发现了活动列表更新
                haveDataTime = thisTime.valueOf();
                //向上向下取10s
                let startScopeM = parseInt(moment(thisTime-(10 * 1000)).format("m"));
                let startScopeS = parseInt(moment(thisTime-(10 * 1000) ).format("s"));
                let endScopeM = parseInt(moment(thisTime+(10 * 1000)).format("m"));
                let endScopeS = parseInt(moment(thisTime+(10 * 1000) ).format("s"));
                startScopeTime = (startScopeM * 60)+ startScopeS;
                endScopeTime= (endScopeM * 60)+ endScopeS;
            }
        } else {//设置了活动更新时间 或者 系统第一次发现数据更新的时间
            let thisM = parseInt(moment(thisTime).format("m"));
            let thisS = parseInt(moment(thisTime).format("s"));
            let thisMS = (thisM * 60) + thisS;

            if (endScopeTime < startScopeTime) {//结束范围小于开始范围
                if (thisMS >= startScopeTime || thisM <= endScopeTime) cacheActivityData();
            } else {//正常时间轴
                if ( thisMS >= startScopeTime && thisMS <= endScopeTime ) cacheActivityData();
            }
        }
        //当天数据


        
    }, 600* 1000);
}